Resumen
Consultar el resumen del mes
Lo vendido y comprado en el mes, y lo que hoy está por cobrar y por pagar. Son los mismos totales de los reportes de ventas, cuentas por cobrar y cuentas por pagar.
Ventas, compras propias (liquidaciones) y por cobrar siguen el ambiente
de la cuenta (pruebas o producción). Las compras recibidas del SRI no
tienen ambiente. Requiere poder ver reportes (permissions.read_reports).
GET
/
api
/
v1
/
accounts
/
{account_id}
/
summary
Consultar el resumen del mes
curl --request GET \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"summary": {
"month": "2026-10",
"sales": {
"total": 123,
"count": 123
},
"receivable": {
"total": 123,
"overdue": 123
},
"purchases": {
"total": 123
},
"payable": {
"total": 123,
"count": 123
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"field_errors": {}
}Authorizations
Token de API enviado como Authorization: Bearer tellen_tk_.... Genera
tu token desde tu cuenta de Tellen. Tu cuenta debe tener el acceso a la
API habilitado.
Path Parameters
Identificador de la cuenta.
Query Parameters
Mes a resumir, como AAAA-MM. Por defecto, el mes en curso.
Pattern:
^\d{4}-\d{2}$Example:
"2026-10"
Response
El resumen del mes.
Show child attributes
Show child attributes
Consultar el resumen del mes
curl --request GET \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.tellen.app/api/v1/accounts/{account_id}/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"summary": {
"month": "2026-10",
"sales": {
"total": 123,
"count": 123
},
"receivable": {
"total": 123,
"overdue": 123
},
"purchases": {
"total": 123
},
"payable": {
"total": 123,
"count": 123
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"field_errors": {}
}